*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: rgb(226, 225, 225);
    gap: 10px;
}
label{
    position: relative;
    width: 190px;
    height: 40px;
    border-radius: 10px;
    /* background: blue; */
    overflow: hidden;
    box-shadow: 0 0 10px #777;
}
label input{
    appearance: none;
    width: 130px;
    height: 50px;
}
label .content{
    position: relative;
    top: -54px;
    width: 100%;
    height: 100%;
    background: red;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: -1;
    color: #fff;
    gap:25px;
}
label input:checked ~ .content{
    background: rgb(202, 202, 202);
    color: #333;

}
label .content h3{
    font-family: Arial, Helvetica, sans-serif;
    letter-spacing: 0.03cm;
}
label .content i{
    font-size: 25px;
}
.youtube{
    position: relative;
    width: 40px;
    height: 40px;
    background: red;
    border-radius: 10px;
    box-shadow: 0 0 10px #777;
    display: flex;
    justify-content: center;
    align-items: center;
}
.youtube i{
    font-size: 30px;
    color: #fff;
}